Bug 1189346 - (CVE-2020-21682) VUL-0: CVE-2020-21682: transfig: A global buffer overflow in the set_fill component in genge.c of fig2dev 3.2.7b allows attackers to cause a denial of service (DOS) via converting a xfig file into ge format.
(CVE-2020-21682)
VUL-0: CVE-2020-21682: transfig: A global buffer overflow in the set_fill com...
Status: RESOLVED DUPLICATE of bug 1189345
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/306185/
CVSSv3.1:SUSE:CVE-2020-21682:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-11 16:04 UTC by Gianluca Gabrielli
Modified: 2021-11-18 14:19 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-08-11 16:04:45 UTC
A global buffer overflow in the set_fill component in genge.c of fig2dev 3.2.7b
allows attackers to cause a denial of service (DOS) via converting a xfig file
into ge format.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-21682
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-21682
https://sourceforge.net/p/mcj/tickets/72/
Comment 1 Gianluca Gabrielli 2021-08-11 16:05:26 UTC
This CVE has the same fix of 1189345

*** This bug has been marked as a duplicate of bug 1189345 ***
Comment 4 Swamp Workflow Management 2021-09-16 22:27:53 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:3124-1: An update that solves 8 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1136882,1159130,1159293,1161698,1186329,1189325,1189343,1189345,1189346
CVE References: CVE-2019-19555,CVE-2019-19746,CVE-2019-19797,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-3561
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud Crowbar 8 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud 9 (src):    transfig-3.2.8a-2.17.1
SUSE OpenStack Cloud 8 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP5 (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    transfig-3.2.8a-2.17.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    transfig-3.2.8a-2.17.1
HPE Helion Openstack 8 (src):    transfig-3.2.8a-2.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 OBSbugzilla Bot 2021-09-20 14:40:50 UTC
This is an autogenerated message for OBS integration:
This bug (1189346) was mentioned in
https://build.opensuse.org/request/show/920329 Backports:SLE-15-SP2 / transfig
https://build.opensuse.org/request/show/920330 Backports:SLE-15-SP3 / transfig
Comment 7 Swamp Workflow Management 2021-10-06 19:55:19 UTC
SUSE-SU-2021:14823-1: An update that solves 9 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1136882,1143650,1159130,1159293,1161698,1186329,1189325,1189343,1189345,1189346
CVE References: CVE-2019-14275,CVE-2019-19555,CVE-2019-19746,CVE-2019-19797,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-3561
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    transfig-3.2.8a-1.160.13.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    transfig-3.2.8a-1.160.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-10-29 19:23:00 UTC
SUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    transfig-3.2.8b-4.15.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    transfig-3.2.8b-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-10-29 19:25:11 UTC
openSUSE-SU-2021:3584-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    transfig-3.2.8b-4.15.1
Comment 11 Swamp Workflow Management 2021-11-02 17:21:48 UTC
openSUSE-SU-2021:1439-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    transfig-3.2.8b-lp152.6.9.1
Comment 12 Swamp Workflow Management 2021-11-07 23:16:32 UTC
openSUSE-SU-2021:1458-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    transfig-3.2.8b-bp152.3.6.2
Comment 13 Swamp Workflow Management 2021-11-18 14:19:50 UTC
openSUSE-SU-2021:1481-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1189325,1189343,1189345,1189346,1190607,1190611,1190612,1190615,1190616,1190617,1190618,1192019
CVE References: CVE-2020-21529,CVE-2020-21530,CVE-2020-21531,CVE-2020-21532,CVE-2020-21533,CVE-2020-21534,CVE-2020-21535,CVE-2020-21680,CVE-2020-21681,CVE-2020-21682,CVE-2020-21683,CVE-2021-32280
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    transfig-3.2.8b-bp153.3.6.3